.navigation {

	&__checkbox {
		display: none;
	}

	&__button {
		height: 70px;
		width: 70px;
		border-radius: 50%;
		position: fixed;
		top: 60px;
		right: 60px;
		background-color: $color-white;
		z-index: 2000;
		box-shadow: 0 10px 30px rgba($color-black,.1);
		text-align: center;
		cursor: pointer;
	}

	&__icon {
		position: relative;
		margin-top: 35px;

		&,
		&::before,
		&::after {
			height: 2px;
			width: 30px;
			background-color: $color-grey-dark-3;
			display: inline-block;
		}

		&::before,
		&::after {
			content: "";
			position: absolute;
			left: 0;
			transition: all .2s;
		}

		&::before {
			top: -8px;
		}

		&::after {
			top: 8px;
		}
	}

	&__background {
		height: 60px;
		width: 60px;
		border-radius: 50%;
		position: fixed;
		top: 65px;
		right: 65px;
		background-image: radial-gradient($color-primary-light, $color-primary-dark);
		z-index: 1000;

		transition: transform .8s cubic-bezier(0.68,0,0.07,1);
	}

	&__nav {
		height: 100vh;
		position: fixed;
		top: 0;
		right: 0;
		z-index: 1500;
		opacity: 0;
		width: 0;
		transition: all .8s cubic-bezier(0.68,-0.55,0.265,1.55);
	}

	&__list {
		position: absolute;
		top: 50%;
		left: 50%;
		transform: translate(-50%,-50%);
		text-align: center;
		width: 100%;
	}

	&__item {
		margin: 15px;
	}

	&__link {

		&:link,
		&:visited {
			font-size: 30px;
			font-weight: 300;
			padding: 10px 20px;
			color: $color-white;
			text-transform: uppercase;
			background-image: linear-gradient(120deg , transparent 0%, transparent 50%, $color-white 50%);
			background-size: 225%;
			transition: all .4s;
			display: inline-block;
		}

		&:hover,
		&:active {
			background-position: 100%;
			color: $color-primary;
			transform: translateX(10px);
		}
	}

	&__checkbox:checked ~ &__background {
		transform: scale(80);
	}

	&__checkbox:checked ~ &__nav {
		opacity: 1;
		width: 100%;
	}

	&__button:hover &__icon::before {
		top: -10px;
	}

	&__button:hover &__icon::after {
		top: 10px;
	}

	&__checkbox:checked + &__button &__icon {
		background-color: transparent;
	}

	&__checkbox:checked + &__button &__icon::before {
		top: 0;
		transform: rotate(135deg);
	}

	&__checkbox:checked + &__button &__icon::after {
		transform: rotate(-135deg);
		top: 0;
	}
}